### Method

# Pango LayoutIterget_line_extents

#### Declaration [src]

    void
    pango_layout_iter_get_line_extents (
      PangoLayoutIter* iter,
      PangoRectangle* ink_rect,
      PangoRectangle* logical_rect
    )

#### Description [src]

Obtains the extents of the current line.

Extents are in layout coordinates (origin is the top-left corner of the entire `PangoLayout`). Thus the extents returned by this function will be the same width/height but not at the same x/y as the extents returned from `pango_layout_line_get_extents()`.

#### Parameters

`ink_rect`

  Type: `PangoRectangle`

  Rectangle to fill with ink extents.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

`logical_rect`

  Type: `PangoRectangle`

  Rectangle to fill with logical extents.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.